Package com.collibra.dgc.core.api.dto.articulation

# Class ArticulationRuleRequest

Object
ArticulationRuleRequest

All Implemented Interfaces:
  `Serializable`

public class ArticulationRuleRequest extends Object implements Serializable
Articulation rule.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ArticulationRuleRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArticulationRuleRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ArticulationRuleRequest.Builder`
  `anArticulationRuleRequest()`
  Deprecated.
  This method will be removed in the future.
  `static ArticulationRuleRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAttributeTypeId()`
  The ID of the attribute type.
  `UUID`
  `getId()`
  The ID of the articulation rule.
  `ArticulationOperation`
  `getOperation()`
  Required. The `operation` ADD or SET.
  `double`
  `getScore()`
  Required. The articulation score (between 0 and 100).
  `UUID`
  `getStatusId()`
  The ID of the status.
  `int`
  `hashCode()`
  `void`
  `setAttributeTypeId(UUID attributeTypeId)`
  The ID of the attribute type.
  `void`
  `setId(UUID id)`
  The ID of the articulation rule.
  `void`
  `setOperation(ArticulationOperation operation)`
  Required. The `operation` ADD or SET.
  `void`
  `setScore(double score)`
  Required. The articulation score (between 0 and 100).
  `void`
  `setStatusId(UUID statusId)`
  The ID of the status.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArticulationRuleRequest

    public ArticulationRuleRequest()

- ## Method Details

  - ### anArticulationRuleRequest

    @Deprecated public static ArticulationRuleRequest.Builder anArticulationRuleRequest()
    Deprecated.
    This method will be removed in the future. Please use `builder()`.
    Returns a builder for this class.

  - ### builder

    public static ArticulationRuleRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the articulation rule.

  - ### getOperation

    public ArticulationOperation getOperation()
    Required. The `operation` ADD or SET.

  - ### getScore

    public double getScore()
    Required. The articulation score (between 0 and 100).

  - ### getStatusId

    public UUID getStatusId()
    The ID of the status.

  - ### getAttributeTypeId

    public UUID getAttributeTypeId()
    The ID of the attribute type.

  - ### setId

    public void setId(UUID id)
    The ID of the articulation rule.

  - ### setOperation

    public void setOperation(ArticulationOperation operation)
    Required. The `operation` ADD or SET.

  - ### setScore

    public void setScore(double score)
    Required. The articulation score (between 0 and 100).

  - ### setStatusId

    public void setStatusId(UUID statusId)
    The ID of the status.

  - ### setAttributeTypeId

    public void setAttributeTypeId(UUID attributeTypeId)
    The ID of the attribute type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`